{smcl}
{* 29Jun2008}{...}
{cmd:help wfbest}
{hline}

{title:Title}

{p2colset 5 22 28 2}{...}
{p2col:{hi:Best practice in workflow}}{p_end}
{p2colreset}{...}

{title:Basic rules for effective workflow}
{p2colset 5 9 9 2}{...}

{p2col :#:}{bf:Provenance}: The provenance of every result should be
    documented.{p_end}
{p2col :#:}{bf:Posting Principle}: Once a file is posted, it should
    never be changed. Never change a variable that has been posted.{p_end}
{p2col :#:}{bf:Run order}: Do-files should be named so that when run
    in alphabetical order they exactly recreate your datasets
    and replicate your analyses.{p_end}
{p2col :#:}{bf:Basic backup}: Make at least two, bit-verified backup copies;
    store them in different locations.{p_end}
{p2col :#:}{bf:Drukker's Dictum}: Never type anything that you can obtain
    from a saved result.{p_end}
{p2col :#:}{bf:Long's Law}: It is always faster to document it today
    than tomorrow.{p_end}
{p2col :#:}{bf:Label variables}: Create a note and variable label
    for all new variables.
    Categorical variables should have value labels.{p_end}
{p2col :#:}{bf:Never final}: Never name it final!{p_end}
{p2col :#:}{bf:Test graphs}: Alway try them before you present them.{p_end}
{p2col :#:}{bf:datasignature}: Use datasignature before saving a dataset;
    check the signature when you load a dataset.{p_end}
{p2col :#:}{bf:Getting help:} The clearer and more detailed the information
    you provide, the greater the chance you will get the help you need.{p_end}
{p2col :#:}{bf:Too many files:} It is easier to create a file than to
    find a file; easier to find a file than to know what is
    in the file; and it is tempting to create a
    lot of files.{p_end}

{title:Rules for replication}

{p2col:#1:}Backup and archive your dataset and do-files.{p_end}
{p2col:#2:}Keep a research log.{p_end}
{p2col:#3:}Document the provenance of all reported results.{p_end}
{p2col:#4:}Always set the seed when using random numbers (set seed #).{p_end}

{title:Also see}

    {helpb wf}
INCLUDE help wf_footer
