{smcl}
{* 29Jun2008}{...}
{cmd:help wfhelp}
{hline}

{title:Title}

{p2colset 5 22 28 2}{...}
{p2col:{hi:Getting help}}{p_end}
{p2colreset}{...}

{title:Before you ask for help, try these things}
{synoptset 8 tabbed}{...}
{p2colset 3 11 11 2}{...}

{p2col:{bf:Step 1}:}Try all of the suggestions for
    debugging your program (see {helpb wfdebug}).{p_end}
{p2col:{bf:Step 2}:}Read the manual for the commands related to
    your error.{p_end}
{p2col:{bf:Step 3}:}Make sure that your copy of Stata and user written
    programs are up to date (see {helpb update} and {helpb adoupdate}).{p_end}
{p2col:{bf:Step 4}:}Write a brief description of the problem and what
    you have done to resolve it.{p_end}
{p2col:{bf:Step 5}:}Create a do-file that generates the error
    using a small dataset. Do not send a huge dataset as an
    attachment. Make the do-file self-contained (e.g., it loads the dataset)
    and transportable (e.g., it does not hard code the data directory).{p_end}
{p2col:{bf:Step 6}:}Send the do-file, the log file in text format, and
    the dataset along the description of what you have done to
    the person you are asking for help.{p_end}
{p2colset 5 12 12 2}
{title:Also see}

    {helpb wf}
INCLUDE help wf_footer
