{smcl}
{* 29Jun2008}{...}
{cmd:help wfnames}
{hline}

{p2colset 5 9 10 2}{...}
{title:Principles for naming variables}

{p2col:{hi:1.}}
    Use simple, unambiguous names that are 10 characters or
    less to avoid truncation.{p_end}
{p2col:{hi:2.}}
    Anticipate looking for variables using lookfor.{p_end}
{p2col:{hi:3.}}
    Use names that convey content.{p_end}
{p2col:{hi:4.}}
    Use clear and consistent abbreviations.{p_end}
{p2col:{hi:5.}}
    Be careful with capitalization.{p_end}
{p2col:{hi:6.}}
    Try names before you decide.{p_end}

{title:Principles for value labels}

{p2col:{hi:1.}}
    Keep labels 10 of fewer characters in length.{p_end}
{p2col:{hi:2.}}
    Include the value in the front of the name (e.g, 1_male).{p_end}
{p2col:{hi:3.}}
    Put the key information in the front of the label.{p_end}
{p2col:{hi:4.}}
    If it is used for only one variable, give the label the
    name of the variable.{p_end}
{p2col:{hi:5.}}
    If the label is used by multiple variables, begin the name with L.{p_end}

{title:Principles for variable labels and notes}

{p2col:{hi:1.}}
    Limit labels to 30 characters or less.{p_end}
{p2col:{hi:3.}}
    Put the key information in the front of the label.{p_end}
{p2col:{hi:2.}}
    Label all variables.{p_end}
{p2col:{hi:4.}}
    For new variables, use {cmd:note} to indicate the do-file,
    date and person that created the variable.{p_end}
{p2col:{hi:5.}}
    If the label is used by multiple variables, begin the name with L.{p_end}

{title:Principles for naming do-files}

{p2col:{hi:1.}}
    Name do-files so that they can be re-run in alphabetical order to
    reproduce all results.{p_end}
{p2col:{hi:2.}}
    Names should only contain a-z, A-Z, 0-9, the underscore _,
    and the dash -. If you don't mind adding "" around names, you can
    use spaces.{p_end}
{p2col:{hi:3.}}
    Use a short mnemonic to refer to a project.{p_end}
{p2col:{hi:4.}}
    Use .doi as the suffix for include files.{p_end}

{title:Also see}

    {helpb wf}
INCLUDE help wf_footer
